*:**************************************************
*:
*:        Code fragment 
*:
*:         Author: Lisa C. Slater
*:
*:        Purpose: to show initialization of
*:                 a variable-width report
*:**************************************************

* open the lookup database   
USE (nbjobs)
* how many categories defined for this job type?
* jobtype = "NB1" (determined by user elsewhere)
COUNT FOR jobext = jobtype to n1
IF n1 # 0
   DIMENSION nb(n1,1)
   * array will hold the column headings (hours codes)
   * for each hours type
   COPY TO ARRAY nb FIELDS job ALL FOR jobext = jobtype
   USE (trans)
   * restrict the jobs we're looking at to correct class
   * with a conditional index
   INDEX ON employee+job FOR jobext = jobtype TO temp1      
   REPORT FORM hr_class TO PRINT OFF 
ELSE
   WAIT WINDOW "No hours types specified for "+jobtype+"!"
ENDIF
USE
ERASE temp1.idx
RETURN
*:**************************************************