* Bob Rogers
* MicroComputer Solutions
* 20885 N.W. Rock Creek Blvd.
* Portland, Oregon 97229-2765
* (503) 629-0149
* CompuServ # 76166,3362
**************************************************
*               MATRIX                           *
**************************************************

PROCEDURE MATRIX

*** set up the unique names of the properties

select packages
tempfile = sys(3)
index on prop_name to (tempfile) unique
count to records

dimension props(records,1) && names of properties
copy to array props fields prop_name

dimension reqdates(records,1)  
   ** dates for the properties
index on contacts.ct_lst_nm + ;
   contacts.ct_frst_nm+prop_name to (tempfile)

go top
report form matrix off to print
set index to packages
erase (tempfile)+".ndx"
release width,reqdates
return

**************************************************
*               FILLDATE                         *
**************************************************

* Procedure Filldate
* RJR MicroComputer Solutions 9/4/90
* Purpose:  Fill one dimension array parallel to property names array
* UDF called in matrix.frx 
counter = 1
wk_key = ct_key

reqdates = "  ----  "  && prefill the array with blanks
Nameout = trim(contacts.ct_frst_nm)+" "+;
   trim(contacts.ct_lst_nm  )
Scan while wk_key = ct_key
  do while prop_name <> props(counter)
     counter = counter +1
  enddo
  reqdates(counter)=date_req
Endscan

return nameout




